{% include "index.html" %}

<html>
<body>
<link rel="stylesheet"
      href="{{ url_for('static', filename= 'css/style.css') }}">

<script type="text/javascript"
        src="https://www.gstatic.com/charts/loader.js"></script>
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
<script type="text/javascript" src="static/js/table_recette.js"></script>

<div class="bloc-recette">
    <p>{{ test }}</p>
    <div class="text-reco">
        <h2>Renseignez votre recette.<br>
            Un tableau recapitulatif des apports nutritionnels totaux
            sera généré.
        </h2>
    </div>
    <form action="{{ url_for('recette_get') }}" method="post" type="submit">
        <select class="button" name="aliment">
            {% for fruits_legumes in liste_aliments %}
                <option value="{{ fruits_legumes }}">{{ fruits_legumes }}</option>
            {% endfor %}
        </select>
        <button class="button valider-recette" type="submit">Valider</button>
        <div class="quantite-en-gramme">
            <h4>Renseignez la quantité en gramme.<br>
                Si vous utilisez "delete", écrivez un "0"</h4>
        </div>
        <textarea class="text-area-quantitee" name="quantitees"></textarea>
        <div class="quantite-en-gramme">
            <h4>Ecrire "delete" pour supprimer la recette en cours</h4>
        </div>
        <textarea class="text-area-delete" name="delete"></textarea>

        <div class="text-valeur-recette">
            <h3>Voici votre tableau récapitulatif</h3>
        </div>
    </form>
</div>
<div class="bloc-list-recette">
    <h3 class="text-reco">Votre recette</h3><br>
    <ul class="liste-recette">
        {% for aliment, quantitee in recette.items() %}
            <li>- {{ aliment }} {{ quantitee }} g</li><br>
        {% endfor %}
    </ul>
</div>
<form action="{{ url_for('recette_table') }}" method="post" type="submit">
    <button class="button enregistrer-recette" type="submit">Enregistrer la
        recette
    </button>
</form>
<div id="table_div"></div>
</body>

</html>